Skip to main content
Drivers

Get a list of drivers

This method requires the Drivers:Get permission to be associated with your role.

GET
/fm/drivers
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
client_idstringquery

Optional Client Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
client_cost_centre_idstringquery

Optional Cost Centre Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
external_codestringquery

Optional External Code

This field supports the wildcard % operator.

Maximum string length: 18
Pattern: ^[a-zA-Z0-9\-\_\%\@\s]+$
given_namestringquery

Optional Given Name

This field supports the wildcard % operator.

Maximum string length: 30
Pattern: ^[a-zA-Z\-\%]+$
home_emailstring[]query

Optional Home Email

Maximum array length: 10
surnamestringquery

Optional Surname

This field supports the wildcard % operator.

Maximum string length: 30
Pattern: ^[a-zA-Z\-\%]+$
user_id_package_advisorstringquery

Optional Package Advisor User Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject